## icewm-themes 0.9.42

=== Makefile ===
PREFIX=/usr/local/

LIBDIR=$(PREFIX)/lib/X11/icewm/themes

all:

# Makefile TABS *SUCK*
install: all
	@mkdir -p $(LIBDIR)
	@for theme in * ; do \
            if [ -d $$theme ] ; then \
                echo Installing theme: $$theme; \
                rm -r $(LIBDIR)/$$theme; \
                cp -r $$theme $(LIBDIR)/$$theme; \
            fi \
        done

## icewm-themes 1.0.9.1-3

=== debian/changelog ===
icewm-themes (1.0.9.1-3) unstable; urgency=low

  * added symlinks to Build-Depends, closes: #141262, #138105
  * Updated and new themes: tubes, bluemetal2, Dusk, KDE2, pkde2,pkde3, YAMM

 -- Eduard Bloch <blade@debian.org>  Fri,  5 Apr 2002 09:20:07 +0200

icewm-themes (1.0.9.1-2) unstable; urgency=medium

  * fixed dangling symlinks, restored the XPM files. Closes: #137980

 -- Eduard Bloch <blade@debian.org>  Tue, 12 Mar 2002 12:50:13 +0100

icewm-themes (1.0.9.1-1) unstable; urgency=low

  * corrected copyright file
  * new themes: Tin and Aeteria. Removed .xvpics, oversized background files
  * changed Dependency to request the new icewm-common package, closes: #126247

 -- Eduard Bloch <blade@debian.org>  Wed, 26 Dec 2001 21:37:53 +0100

icewm-themes (1.0.9-2) unstable; urgency=low

  * set sticky dependency on icewm-common, closes: #117717
  * removed cached thumbnails, closes: #120791

 -- Eduard Bloch <blade@debian.org>  Sun, 25 Nov 2001 01:06:36 +0100

icewm-themes (1.0.9-1) unstable; urgency=low

  * Freshmeat: new gradient themes from icewm-gradient-themes-1.0.9
  * updated copyright info

 -- Eduard Bloch <blade@debian.org>  Thu, 11 Oct 2001 13:54:33 +0200

icewm-themes (0.9.42.3-1) unstable; urgency=low

  * re-added daniel5, user request
  * wrote README.contribute file
  * dropped losttime (no license), was added by an accident

 -- Eduard Bloch <blade@debian.org>  Wed, 29 Aug 2001 13:25:09 +0200

icewm-themes (0.9.42.2-1) unstable; urgency=low

  * New maintainer
  * updated with newer versions from icewm.themes.org
  * new themes:
    18k, Anon, Area51, blueHeart, osk, pkde, pkde2, spiffICE, tubes, yak
  * droped themes (nobody voted for them): 
    Athens, TechnologicEnvy, daniel2, daniel5, fvwm, gtk3, minimal,
    monte-carlo, navy, organ, pilot, win31, winlike, xfvwm
  * link to the new homepage in debian/copyright, referenced to Debian's
    changelog for recent changes.
  * applied debian/symlink-dupes.pl (my script) and symlinks to remove
    duplicated files, saving space

 -- Eduard Bloch <blade@debian.org>  Sat, 25 Aug 2001 18:10:26 +0200

icewm-themes (0.9.42.1-0.1) unstable; urgency=low

  * NMU
  * Removed non-free theme blueice from upstream source. Closes: #80514.
  * Updated Standards-Version
  * Changed location of GPL to new location

 -- Roland Bauerschmidt <rb@debian.org>  Sat, 24 Feb 2001 21:21:25 -0600

icewm-themes (0.9.42-1) unstable; urgency=low

  * New upstream release

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Wed, 23 Jun 1999 19:42:11 +0200

icewm-themes (0.9.39-1) unstable; urgency=low

  * New upstream release

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Sun, 16 May 1999 17:00:00 +0200

icewm-themes (0.9.34-1) unstable; urgency=low

  * New upstream release

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Sun, 21 Mar 1999 18:14:20 +0100

icewm-themes (0.9.28-1) unstable; urgency=low

  * New upstream release

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Tue, 12 Jan 1999 02:27:28 +0100

icewm-themes (0.9.23-1) unstable; urgency=low

  * Initial Release.

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Thu, 31 Dec 1998 19:19:49 +0100

=== debian/control ===
Source: icewm-themes
Section: x11
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends-Indep: debhelper, symlinks
Standards-Version: 3.5.1

Package: icewm-themes
Architecture: all
Depends: icewm-common (>= 1.0.9)
Description: Theme files for the Ice Window Manager
 This package contains the contributed theme files for icewm. It
 contains nice looking themes, emulating the look of Windows'95,
 OS/2 Warp 3, or produced by phantasy of various people.
 .
 Ice Window Manager for X Window System. Tries to take the best
 features of the above systems.  Features multiple workspaces, opaque
 move/resize, task bar, window list, mailbox status, digital clock.
 Fast and small.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
# Both fonts are apparently broken
#	mkdir -p debian/tmp/usr/X11R6/lib/X11/fonts/misc debian/tmp/usr/X11R6/lib/X11/fonts/TrueType
#	cp Aalglatt/snap.pcf.gz debian/tmp/usr/X11R6/lib/X11/fonts/misc
#	cp jim-mac/Chicago.ttf debian/tmp/usr/X11R6/lib/X11/fonts/TrueType
	find debian/tmp -type f | xargs  -n1 -i chmod -x "{}"
#drop all the crap
	find debian/tmp/usr/X11R6/lib/X11/icewm | grep -i "xcf\|gz$$\|akefile\|dir$$\|readme\|debug\|gif" | xargs -n1 -i rm "{}"
	perl debian/symlink-dupes.pl debian/tmp
	symlinks -c -s -r debian/tmp
	symlinks -c -s -r debian/tmp
	symlinks -c -s -r debian/tmp

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs debian/README.contribution README.gradient-themes
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## icewm-themes 1.2.6-3

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: x11
 Priority: optional
 Maintainer: Eduard Bloch <blade@debian.org>
-Build-Depends-Indep: debhelper, symlinks
-Standards-Version: 3.5.1
+Build-Depends-Indep: debhelper
+Standards-Version: 3.5.8
 
 Package: icewm-themes
 Architecture: all
-Depends: icewm-common (>= 1.0.9)
+Depends: icewm-common (>= 1.2.6)
 Description: Theme files for the Ice Window Manager
  This package contains the contributed theme files for icewm. It
  contains nice looking themes, emulating the look of Windows'95,

## icewm-themes 1.2.26

=== debian/changelog ===
icewm-themes (1.2.26-2) unstable; urgency=low

  [Jari Aalto]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (closes: #670969)
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Number all patches to make apply order apparent.
  * Patches:
    - 30, 40: update with "quilt refresh" to make them apply cleanly.
  * Fix copyright-refers-to-symlink-license (Lintian).
  * Fix debian-rules-ignores-make-clean-error (Lintian).
  * Fix maintainer-script-without-set-e (Lintian).
  * Fix package-needs-versioned-debhelper-build-depends (Lintian).
  * Fix debian-rules-ignores-make-clean-error (Lintian).

  [Eduard Bloch]
  * README.svn -> debian/README.source
  * Added Vcs fields to debian/control
  * remove old swapfile cruft from the binary package (closes: #595349)
  * removed pointless postinst script
  * Using XZ compression for .deb and .debian.tar.gz

 -- Eduard Bloch <blade@debian.org>  Mon, 30 Apr 2012 23:26:54 +0200

icewm-themes (1.2.26-1) unstable; urgency=low

  * Cooked a new collection tarball
    + new themes: Elberg {Green,Blue,Red}, IceCrack2
    + commented the invalid ClockFontName in metal-small (thanks Mario,
      closes: #155255)

 -- Eduard Bloch <blade@debian.org>  Fri, 16 Jun 2006 21:49:04 +0200

icewm-themes (1.2.20.1-1) unstable; urgency=high

  * Ooops, the last upload should have been a non-native package...
  * removed the dependency on symlinks since it is no longer used anyways
    since the collection tarball became Debian-specific (closes: #301787)

 -- Eduard Bloch <blade@debian.org>  Mon, 28 Mar 2005 15:32:05 +0200

icewm-themes (1.2.20.1) unstable; urgency=medium

  * changes on "upstream" tarball: removed Chicago.ttf (claimed to be
    non-free) untill the license issues are clarified (closes: #298946)

 -- Eduard Bloch <blade@debian.org>  Fri, 25 Feb 2005 19:04:03 +0100

icewm-themes (1.2.20-1) unstable; urgency=low

  * documented the disappearance of upstream's download location in the
    copyright file
  * updated the tarball with new themes:
    + SilverXP
    + K-ath-Leen
  * moved the collection to a separate tarball, much easier to manage with
    help of svn-buildpackage
  * font_charset.dpatch: Fixes stuck charset setting in font paths
  * bluecrux_dialog_borders.dpatch: added minimal width for dialog borders in
    blueCrux theme (closes: #296048)
  * icebluecurve_apm_colors.dpatch: adds the theme colors to the APM status
    bar (closes: #264813)

 -- Eduard Bloch <blade@debian.org>  Wed,  6 Aug 2003 07:43:01 +0200

icewm-themes (1.2.6-3) unstable; urgency=low

  * Removed Warp4, no idea how it came into the package ;), closes: #186784
  * Repaired broken pixmaps, bit errors, closes: #180109

 -- Eduard Bloch <blade@debian.org>  Sat, 29 Mar 2003 23:57:54 +0100

icewm-themes (1.2.6-2) unstable; urgency=low

  * New themes, thanks to Jérôme: 708090, aquablue, axxlite, blueCrux,
    Crux-Teal, GlamICE, IceBlueCurve, IceBlueOkayish, IceGnome2, liQuid,
    mozmodern, No.15, sortofaqua, unusualscars, Urbicande, xp, xp-new.
  * copyright: updated themes.org URL, hosted by Freshmeat now.
  * removed the close... non-sense from blueCrux theme
  * Crux-Teal: changed to use .jpg instead of .xpm and dropped background.xpm
  * aeteria: converted .xpm to .jpg, saves almost 10MB space

 -- Eduard Bloch <blade@debian.org>  Wed,  5 Feb 2003 01:05:10 +0100

icewm-themes (1.2.6-1) unstable; urgency=low

  * Updated upstream versions of several themes
  * More FHS compliant installation diretory, /usr/share/icewm/themes
  * Moved some of the misplaced docs to the main documentation directory
  * Since this package is merged from different sources, does no longer follow
    the naming strategy of any upstream and is not updated frequently, stop
    creating .orig.tar.gz.

 -- Eduard Bloch <blade@debian.org>  Wed, 22 Jan 2003 01:44:33 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: x11
 Priority: optional
 Maintainer: Eduard Bloch <blade@debian.org>
-Build-Depends-Indep: debhelper
-Standards-Version: 3.5.8
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.3
+Vcs-Svn: svn://anonscm.debian.org/pkg-icewm/
+Vcs-Browser: https://alioth.debian.org/scm/browser.php?group_id=30131
 
 Package: icewm-themes
 Architecture: all
-Depends: icewm-common (>= 1.2.6)
+Depends: ${misc:Depends}, icewm-common (>= 1.2.6)
 Description: Theme files for the Ice Window Manager
  This package contains the contributed theme files for icewm. It
  contains nice looking themes, emulating the look of Windows'95,

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SHELL=/bin/bash

build-arch: build
build-indep: build

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	# There is no target clean, distclean ...
	# $(MAKE) clean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs /usr/share/icewm/themes /usr/share/doc/icewm-themes/jaywalk /usr/share/doc/icewm-themes

	# Add here commands to install the package into debian/icewm-themes.
	$(MAKE) install LIBDIR=$(CURDIR)/debian/icewm-themes/usr/share/icewm/themes
	mv `pwd`/debian/icewm-themes/usr/share/icewm/themes/jaywalk/doc `pwd`/debian/icewm-themes/usr/share/doc/icewm-themes/jaywalk
	tar -c */{,*/}README | tar -x -C $(CURDIR)/debian/icewm-themes/usr/share/doc/icewm-themes
	rm $(CURDIR)/debian/icewm-themes/usr/share/icewm/themes/xp/.default.theme.swp
# Both fonts are apparently broken
#	mkdir -p debian/icewm-themes/usr/X11R6/lib/X11/fonts/misc debian/icewm-themes/usr/X11R6/lib/X11/fonts/TrueType
#	cp Aalglatt/snap.pcf.gz debian/icewm-themes/usr/X11R6/lib/X11/fonts/misc
#	cp jim-mac/Chicago.ttf debian/icewm-themes/usr/X11R6/lib/X11/fonts/TrueType
	find debian/icewm-themes -type f | xargs  -n1 -i chmod -x "{}"
#drop all the crap
	find debian/icewm-themes/usr/share/icewm/themes | grep -i "xvpics\|xcf\|gz$$\|akefile\|dir$$\|readme\|debug\|gif\|COPYING\|convert.sh" | xargs -n1 -i rm -rf "{}"
#	symlinks -c -s -r debian/icewm-themes
#	symlinks -c -s -r debian/icewm-themes
#	symlinks -c -s -r debian/icewm-themes

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
#	perl debian/symlink-dupes.pl debian/icewm-themes
	dh_testdir
	dh_testroot
	dh_installdocs debian/README.contribution README.gradient-themes
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Zxz

# Build architecture-dependent files here.
binary-arch: build install

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
